Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Class MatchingObjectEvent

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.elementselection.MatchingObjectEvent

All Implemented Interfaces:
  IMatchingObjectEvent

    public class MatchingObjectEvent

extends java.lang.Object
implements IMatchingObjectEvent

A matching object event for the element selection service.

The element selection service returns IMatchingObjectEvent to the IElementSelectionListener. If there are ten matching objects, then eleven IMatchingObjectEvent will be sent to the listener. The first ten will have type MatchingObjectEventType.MATCH and will have a matching object. The eleventh event will have type MatchingObjectEventType.END_OF_MATCHES.

Constructor Summary
`MatchingObjectEvent(MatchingObjectEventType eventType, IMatchingObject matchingObject)` Constructor for a MatchingObjectEvent.

Method Summary
`MatchingObjectEventType` `getEventType()` Retrieve the matching object event type.
`IMatchingObject` `getMatchingObject()` Retrieve the matching object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchingObjectEvent

    public MatchingObjectEvent(MatchingObjectEventType eventType,
                               IMatchingObject matchingObject)

  Constructor for a MatchingObjectEvent.

  Parameters:
    `eventType` - the matching object event type.
    `matchingObject` - the matching object.

Method Detail

### getEventType

    public MatchingObjectEventType getEventType()

  Retrieve the matching object event type.

  Specified by:
    `getEventType` in interface `IMatchingObjectEvent`
  Returns:
    the matching object event type.

### getMatchingObject

    public IMatchingObject getMatchingObject()

  Retrieve the matching object.

  Specified by:
    `getMatchingObject` in interface `IMatchingObjectEvent`
  Returns:
    the matching object.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.